Raccourcis Texmaker

Tout ce qui concerne l'utilisation ou l'installation de LaTeX.

Modérateur: gdm_tex

Règles du forum
Merci d'éviter le style SMS dans vos messages et de penser à utiliser la fonction Recherche avant de poster un message. Pour joindre des fichiers à vos messages, consulter ce sujet.
> Penser à utiliser les balises Code pour poster du code.

Re: Raccourcis Texmaker

Messagepar G.J.M » Mercredi 19 Avril 2017, 16:03

Bonjour,
J'ai bien fait plusieurs fois
Code: Tout sélectionner
sudo apt-get purge texmaker


Mais malheureusement le gestionnaire Logiciels ubuntu me propose la même version 4.4.1
G.J.M
Hecto-utilisateur
 
Messages: 90
Inscription: Samedi 08 Mars 2014, 15:40
Statut actuel: Actif et salarié | Enseignant

Publicité

Re: Raccourcis Texmaker

Messagepar G.J.M » Mercredi 19 Avril 2017, 16:22

Bonjour,
Même avec cette commande je me trouve toujours dans l'installeur Logiciels ubuntu qui me propose la version 4.4.1
G.J.M
Hecto-utilisateur
 
Messages: 90
Inscription: Samedi 08 Mars 2014, 15:40
Statut actuel: Actif et salarié | Enseignant

Re: Raccourcis Texmaker

Messagepar kojak » Mercredi 19 Avril 2017, 16:38

G.J.M a écrit:Même avec cette commande je me trouve toujours dans l'installeur Logiciels ubuntu qui me propose la version 4.4.1
cela signifie alors que tu ne prends aucunement la version officielle du site de Texmaker comme je te l'ai indiqué précédemment.
pas d'aide par MP
kojak
Modérateur
 
Messages: 10306
Inscription: Samedi 18 Novembre 2006, 19:50
Statut actuel: Actif et salarié | Enseignant

Re: Raccourcis Texmaker

Messagepar G.J.M » Mercredi 19 Avril 2017, 17:17

Bonjour kojak,
Je prends bien la bonne version, mais au moment d'installer je me trouve avec un écran qui me propose d'installer la version texmaker (4.4.1-1.1), qui se trouve dans les dépôts et que je ne peux pas supprimer définitivement. Comment faire ? je deviens fou...
C'est tellement pénible de travailler sans les raccourcis !!!!
G.J.M
Hecto-utilisateur
 
Messages: 90
Inscription: Samedi 08 Mars 2014, 15:40
Statut actuel: Actif et salarié | Enseignant

Re: Raccourcis Texmaker

Messagepar kojak » Mercredi 19 Avril 2017, 17:25

Une fois que tu as téléchargé sur le site de texmaker la version 4.5, tu fais comment pour installer cette version ?
pas d'aide par MP
kojak
Modérateur
 
Messages: 10306
Inscription: Samedi 18 Novembre 2006, 19:50
Statut actuel: Actif et salarié | Enseignant

Re: Raccourcis Texmaker

Messagepar G.J.M » Mercredi 19 Avril 2017, 17:32

Je double-clique sur le fichier téléchargé
Code: Tout sélectionner
texmaker_ubuntu_16.04_4.5_amd64.deb
G.J.M
Hecto-utilisateur
 
Messages: 90
Inscription: Samedi 08 Mars 2014, 15:40
Statut actuel: Actif et salarié | Enseignant

Re: Raccourcis Texmaker

Messagepar kojak » Mercredi 19 Avril 2017, 18:05

et ça fait quoi qd tu doubles cliques ? pas grand chose à mon avis, à part ouvrir l'archive.

Il faut faire clic droit et ouvrir avec Installateur de paquet GDebi, ou sinon en ligne de commande dans le répertoire où il y a ton paquet deb
Code: Tout sélectionner
sudo dpkg -i texmaker_ubuntu_16.04_4.5_amd64.deb
pas d'aide par MP
kojak
Modérateur
 
Messages: 10306
Inscription: Samedi 18 Novembre 2006, 19:50
Statut actuel: Actif et salarié | Enseignant

Re: Raccourcis Texmaker

Messagepar G.J.M » Mercredi 19 Avril 2017, 19:22

Enfin, je vois un 4.5, mais il y des erreurs, voila ce que j'obtiens :
Code: Tout sélectionner
Sélection du paquet texmaker précédemment désélectionné.
(Lecture de la base de données... 347989 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de texmaker_ubuntu_16.04_4.5_amd64.deb ...
Dépaquetage de texmaker (4.5) ...
dpkg: des problèmes de dépendances empêchent la configuration de texmaker :
 texmaker dépend de libpoppler-qt5-1 (>= 0.24.5) ; cependant :
  Le paquet libpoppler-qt5-1 n'est pas installé.
 texmaker dépend de libqt5script5 (>= 5.0.2) ; cependant :
  Le paquet libqt5script5 n'est pas installé.

dpkg: erreur de traitement du paquet texmaker (--install) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour bamfdaemon (0.5.3+16.10.20160929-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-6ubuntu4) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-1ubuntu1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.60ubuntu1) ...
Des erreurs ont été rencontrées pendant l'exécution :
 texmaker
G.J.M
Hecto-utilisateur
 
Messages: 90
Inscription: Samedi 08 Mars 2014, 15:40
Statut actuel: Actif et salarié | Enseignant

Re: Raccourcis Texmaker

Messagepar kojak » Mercredi 19 Avril 2017, 19:35

Tes erreurs ne sont guère surprenantes au vu de ce que tu mets au début.
J'ai ubuntun14.10

La première chose à faire est de mettre à jour cet ubuntu, en particulier de passer au moins à la version 16.04 LTS.

Ensuite, je ne prendrais pas le version qt5 mais celle en qt4, quitte éventuellement à rester en 14.04. Il me semble que c'est clair sur le site de Texmaker
pas d'aide par MP
kojak
Modérateur
 
Messages: 10306
Inscription: Samedi 18 Novembre 2006, 19:50
Statut actuel: Actif et salarié | Enseignant

Re: Raccourcis Texmaker

Messagepar G.J.M » Mercredi 19 Avril 2017, 19:54

J'avais la version 14.04, comme je voulais la nouvelle version de texmaker(4.5), après l'installation je me suis rendu compte que je n'avais plus les raccourcis, alors j'ai passé une bonne semaine à galérer, et entre temps j'ai commandé de CD d'installation de ubuntu 16.04 que j'ai installé. Pour résumé je me trouve avec ubuntu 16.04 et Texmaker 4.4.1 qui ne fonctionne pas correctement.
Si je comprends bien, il faut désinstaller rubuntu 16.04 et revenir à 14.04 et installer la version pour Qt4 de Texmaker ?
G.J.M
Hecto-utilisateur
 
Messages: 90
Inscription: Samedi 08 Mars 2014, 15:40
Statut actuel: Actif et salarié | Enseignant

Re: Raccourcis Texmaker

Messagepar kojak » Jeudi 20 Avril 2017, 07:56

G.J.M a écrit:Pour résumé je me trouve avec ubuntu 16.04
OK ce n'était pas ce qui était écrit au début.

Pour mettre à jour ubuntu, cela se fait en ligne directement.

G.J.M a écrit:Si je comprends bien, il faut désinstaller ubuntu 16.04 et revenir à 14.04 et installer la version pour Qt4 de Texmaker ?
Non tout à fait ! tu ne reviens pas à la 14.04 mais au lieu de prendre la version en qt5, tu prends la version en qt4 de Texmaker tout simplement, vu que tu as des erreurs de paquets si tu prends la version qt5.
pas d'aide par MP
kojak
Modérateur
 
Messages: 10306
Inscription: Samedi 18 Novembre 2006, 19:50
Statut actuel: Actif et salarié | Enseignant

Re: Raccourcis Texmaker

Messagepar G.J.M » Jeudi 20 Avril 2017, 15:34

La version 4.5 Qt4 de Texmaker eexiste-t-telle pour ubuntu 16 ?
Je n'ai rien trouvé.
G.J.M
Hecto-utilisateur
 
Messages: 90
Inscription: Samedi 08 Mars 2014, 15:40
Statut actuel: Actif et salarié | Enseignant

Re: Raccourcis Texmaker

Messagepar kojak » Jeudi 20 Avril 2017, 16:05

Ben tu prends celle de la version debian jessie...
pas d'aide par MP
kojak
Modérateur
 
Messages: 10306
Inscription: Samedi 18 Novembre 2006, 19:50
Statut actuel: Actif et salarié | Enseignant

Re: Raccourcis Texmaker

Messagepar G.J.M » Jeudi 20 Avril 2017, 21:04

Bonsoir,
Je crois que je vais abandonner, et créer des balises personnelles au lieu des raccourcis, car je viens de reformater mon disque dur, j'ai réinstallé ubuntu 16.04, texlive-full et la fameuse version :
Code: Tout sélectionner
 texmaker_debian_jessie_4.5_amd64.deb (Qt4)


Je me trouve pourtant toujours avec la version 4.4.1 de Texmaker.

Je finis par croire que Texmaker n'est pas compatible à 100 pourcent avec ubuntu 16.04.
G.J.M
G.J.M
Hecto-utilisateur
 
Messages: 90
Inscription: Samedi 08 Mars 2014, 15:40
Statut actuel: Actif et salarié | Enseignant

Re: Raccourcis Texmaker

Messagepar marco56 » Jeudi 20 Avril 2017, 23:35

J'ai aussi qqs soucis avec texmaker.
En attendant, essaie texstudio, c'est parfait aussi.
marco56
Giga-utilisateur
 
Messages: 663
Inscription: Jeudi 25 Novembre 2010, 22:10
Statut actuel: Actif et salarié | Enseignant

Re: Raccourcis Texmaker(Résolu)

Messagepar G.J.M » Vendredi 21 Avril 2017, 06:00

Bonjour à tous,
J'ai trouvé la solution à mon problème :

Il faut faire :

Code: Tout sélectionner
sudo apt-get remove appmenu-qt5
sudo apt-get remove --auto-remove appmenu-qt5
sudo apt-get purge appmenu-qt5
sudo apt-get purge --auto-remove appmenu-qt5


Merci à tous ceux qui ont passé du temps pour m'aider (kojak,...)
G.J.M
Hecto-utilisateur
 
Messages: 90
Inscription: Samedi 08 Mars 2014, 15:40
Statut actuel: Actif et salarié | Enseignant

Précédente

Retourner vers LaTeX

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Majestic-12 [Bot] et 9 invités